Package org.eclipse.net4j.db.ddl

# Enum-Klasse IDBSchemaElement.SchemaElementType

java.lang.Object
java.lang.Enum<IDBSchemaElement.SchemaElementType>
org.eclipse.net4j.db.ddl.IDBSchemaElement.SchemaElementType

Alle implementierten Schnittstellen:
  `Serializable`, `Comparable<IDBSchemaElement.SchemaElementType>`, `Constable`

Umschließende Schnittstelle:
  `IDBSchemaElement`

public static enum IDBSchemaElement.SchemaElementType extends Enum<IDBSchemaElement.SchemaElementType>

Seit:
  4.2
Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum-Konstanten - Übersicht

Enum-Konstanten
Enum-Konstante
Beschreibung
`FIELD`
`INDEX`
`INDEX_FIELD`
`SCHEMA`
`TABLE`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`int`
`getLevel()`
`static IDBSchemaElement.SchemaElementType`
`valueOf(String name)`
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück.
`static IDBSchemaElement.SchemaElementType[]`
`values()`
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

### Von Klasse geerbte Methoden java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Von Klasse geerbte Methoden java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum-Konstanten - Details

### SCHEMA

public static final IDBSchemaElement.SchemaElementType SCHEMA

### TABLE

public static final IDBSchemaElement.SchemaElementType TABLE

### FIELD

public static final IDBSchemaElement.SchemaElementType FIELD

### INDEX

public static final IDBSchemaElement.SchemaElementType INDEX

### INDEX_FIELD

public static final IDBSchemaElement.SchemaElementType INDEX_FIELD

## Methodendetails

### values

public static IDBSchemaElement.SchemaElementType[] values()
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

Gibt zurück:
  ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration

### valueOf

public static IDBSchemaElement.SchemaElementType valueOf(String name)
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück. Die Zeichenfolge muss exakt mit einer ID übereinstimmen, mit der eine Enum-Konstante in dieser Klasse deklariert wird. (Zusätzliche Leerzeichen sind nicht zulässig.)

Parameter:
  `name` - Name der zurückzugebenden Enumerationskonstante.
Gibt zurück:
  Enumerationskonstante mit dem angegebenen Namen
Löst aus:
  `IllegalArgumentException` - wenn diese Enum-Klasse keine Konstante mit dem angegebenen Namen enthält
  `NullPointerException` - wenn das Argument nicht angegeben wird

### getLevel

public int getLevel()